View Issue Details

IDProjectCategoryLast Update
0021711AI War 2[All Projects] GUINov 30, 2019 9:52 pm
ReporterOzoneGrifAssigned ToDraco18s 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.893 Usability and Tutorial Prep 
Fixed in Version1.011 SuperCat Swats Back 
Summary0021711: The "Swirl" Galaxy type is very dense and difficult to read
DescriptionThis Galaxy type could have its planets more spaced-out.
I tried with various counts of planets, but all are pretty dense.
TagsNo tags attached.

Activities

OzoneGrif

Oct 1, 2019 2:29 pm

reporter  

swirl.jpg (135,245 bytes)
swirl.jpg (135,245 bytes)

BadgerBadger

Oct 1, 2019 2:29 pm

manager   ~0053365

Swirl was written by Draco.

Draco18s

Nov 29, 2019 7:23 pm

developer   ~0054736

Last edited: Nov 29, 2019 11:34 pm

View 3 revisions

I'll take a look at spreading them out some more. Might just have to apply a scalar factor to their positions and leave the underlying math alone.
Goes back to when I wrote the code, there weren't things like "important structure here" icons. Just names. And the names looked bad on *all* map types

Had a similar issue on Bubbles just now.

Draco18s

Nov 30, 2019 9:50 pm

developer   ~0054762

Fix in place for the next version (1.011)

Issue History

Date Modified Username Field Change
Oct 1, 2019 2:28 pm OzoneGrif New Issue
Oct 1, 2019 2:28 pm OzoneGrif File Added: swirl.jpg
Oct 1, 2019 2:29 pm OzoneGrif File Deleted: swirl.jpg
Oct 1, 2019 2:29 pm OzoneGrif File Added: swirl.jpg
Oct 1, 2019 2:29 pm BadgerBadger Assigned To => Draco18s
Oct 1, 2019 2:29 pm BadgerBadger Status new => assigned
Oct 1, 2019 2:29 pm BadgerBadger Note Added: 0053365
Nov 29, 2019 7:23 pm Draco18s Note Added: 0054736
Nov 29, 2019 7:50 pm Draco18s Note Edited: 0054736 View Revisions
Nov 29, 2019 11:34 pm Draco18s Note Edited: 0054736 View Revisions
Nov 30, 2019 9:50 pm Draco18s Note Added: 0054762
Nov 30, 2019 9:52 pm BadgerBadger Status assigned => resolved
Nov 30, 2019 9:52 pm BadgerBadger Resolution open => fixed
Nov 30, 2019 9:52 pm BadgerBadger Fixed in Version => 1.011 SuperCat Swats Back